Bug 1515858 - redhat-rpm-config: Add -D_GLIBCXX_ASSERTIONS to CXXFLAGS
Summary: redhat-rpm-config: Add -D_GLIBCXX_ASSERTIONS to CXXFLAGS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 13:59 UTC by Florian Weimer
Modified: 2018-02-15 10:18 UTC (History)
8 users (show)

Fixed In Version: redhat-rpm-config-76-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-15 10:18:02 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1515862 0 unspecified CLOSED annobin: Track the presence of the _GLIBCXX_ASSERTIONS macro 2021-02-22 00:41:40 UTC

Internal Links: 1515862

Description Florian Weimer 2017-11-21 13:59:10 UTC
And probably CFLAGS as well (where it cannot hurt).

This will enable additional security hardening which performs range checking for operator[] in std::vector, std::string, and std::array.


Note You need to log in before you can comment on or make changes to this bug.